# Retrieve financial activity mapping template

`GET /lokta-lms/api/v1/financialactivityaccounts/template`

Returns the financial activities and ledger accounts available for a mapping.

## Responses
- `default`: default response

## Response fields
- `financialActivityData` (FinancialActivityData)
- `financialActivityOptions` (array of FinancialActivityData)
- `glAccountData` (GLAccountData)
- `glAccountOptions` (object)
- `id` (integer)

## Example request (cURL)
```bash
curl -X GET \
  'https://default.lokta.tech/lokta-lms/api/v1/financialactivityaccounts/template' \
  -u '{username}:{password}' \
  -H 'Tenant-Identifier: default'
```

## Example response
```json
{
  "financialActivityData": {
    "id": 1,
    "mappedGLAccountType": "ASSET",
    "name": "string"
  },
  "financialActivityOptions": [
    {}
  ],
  "glAccountData": {
    "accountTypeOptions": [],
    "allowedAssetsTagOptions": [],
    "allowedEquityTagOptions": [],
    "allowedExpensesTagOptions": []
  },
  "glAccountOptions": {}
}
```

Interactive: https://developer.lokta.ai/reference#operation/retrieveTemplate
